package intrinsic.flash.system;

public class Security extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String LOCAL_TRUSTED = "local_trusted";
	public static final String LOCAL_WITH_FILE = "local_with_file";
	public static final String LOCAL_WITH_NETWORK = "local_with_network";
	public static final String APPLICATION = "application";
	public static final String REMOTE = "remote";

	/** Class Accessors */
	public static boolean disableAVM1Loading;
	public static String sandboxType;
	public static boolean exactSettings;

	/** Class variables */

/** Contructors */
public Security() {
}


/** Static Methods */
public static native void allowInsecureDomain();
public static native intrinsic.Function createSandboxBridgeProxyFunction(intrinsic.Function arg0, Object arg1);
public static native void allowDomain();
public static native void showSettings();
public static native void showSettings(String arg0);
public static native void loadPolicyFile(String arg0);
public static native void checkPrivilege(String arg0);

/** Methods */

}
